Subject: bug#1058: 23.0.60; emacs --daemon should not return until socket is ready

From: "Trent W. Buck" <[email-masked]>
Date: Wed, 8 Oct 2008 10:13:16 +1100

On Tue, Oct 07, 2008 at 08:31:47AM -0700, Dan Nicolaescu wrote:
>> But is the *Messages* buffer automatically displayed (as is done when
>> starting up normally)?
>
> Not yet, but it just takes one extra `if' to do it:
>
> --- server.el.~1.168.~     2008-09-24 17:34:59.000000000 -0700
> +++ server.el              2008-10-07 08:09:16.000000000 -0700
> @@ -606,7 +606,9 @@ Server mode runs a process that accepts
>      (process-put proc 'terminal (frame-terminal frame))
>
>      ;; Display *scratch* by default.
> -    (switch-to-buffer (get-buffer-create "*scratch*") 'norecord)
> +    (switch-to-buffer
> +     (get-buffer-create
> +      (if init-file-had-error "*Messages*" "*scratch*")) 'norecord)
>
>      ;; Reply with our pid.
>      (server-send-string proc (concat "-emacs-pid "

Will this result in *Messages* being shown in all emacsclients, or
only the first one?

> 2. During the normal interactive startup the splash screen nowadays
> covers the *Messages* buffer too fast, so the user can miss the error.
> I should file a bug about this...
>
>>  This is the main reason why I think that .emacs messages should go
>> to stdout.

Wouldn't it be better to address the actual issue (splash screen hides
*Messages* when something went wrong) rather than side effects
(*Messages* is hidden when --daemon, too)?

> 7. This bug report is about something else: emacs --daemon &&
> emacsclient -c not working.  Romain's patch looks good, it does not
> add features, it's just a bug fix, so I don't see any reason it
> cannot go in right now.

Correct; stdout / splash screen stuff should be forked to a separate
bug.